Name:           perl-CGI-Application
Version:        4.31
Release:        1%{?dist}
Summary:        Framework for building reusable web-applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Application/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MA/MARKSTOS/CGI-Application-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(HTML::Template)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
Requires:       perl(HTML::Template)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
CGI::Application is an Object-Oriented Perl module which implements an
Abstract Class. It is not intended that this package be instantiated
directly. Instead, it is intended that your Application Module will be
implemented as a Sub-Class of CGI::Application.

%prep
%setup -q -n CGI-Application-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ARTISTIC Changes GPL README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 30 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.31-1
- Update to 4.31

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.21-2
- Include Test::More in the BuildRequires (brc #486584)

* Fri Feb 20 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.21-1
- Update to 4.21

* Sun Nov 02 2008 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.20-1
- Update to 4.20

* Mon Jun 11 2007 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.06-1
- Specfile autogenerated by cpanspec 1.70.
